Get Provider Pricing Tiers
GET
/providers/{provider}/pricing/tiers
const url = 'https://api.mengi.cloud/providers/example/pricing/tiers';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/providers/example/pricing/tiersGet pricing for all available tiers for a specific provider. Returns a list of pricing options (e.g., testing and production for Hetzner).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” provider
required
Provider
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}